#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int knjige[n];
    for (int i = 0; i < n; i++){
        cin >> knjige[i];
    }
    
    float osigurac = false;
    for (int i = 0; i < n - 1; i++){
        for (int j = n - 1; j > i; j--){
            if (knjige[i] < knjige[j]){
                osigurac = true;
                int broj = knjige[i];
                knjige[i] = knjige[j];
                knjige[j] = broj;
                break;
            }
        }
    if(osigurac){
        break;
    }
    }
    
    if (osigurac == false){
        int broj = knjige[n-2];
        knjige[n-2] = knjige[n-1];
        knjige[n-1] = broj;
    }
    
    for(int i = 0; i < n; i++){
        cout << knjige[i] << " ";
    }
}